#include <iostream>

int main() {
    int n;
    std::cin >> n;
    int* nums = new int[n];

    for (int i = 0; i < n; i++) {
        std::cin >> nums[i];
    }

    for (int i = 0; i < n; i++) {
        std::cout << nums[i] << ' ';
    }
    std::cout << std::endl;

    delete[] nums;
}
